<?php
function calculateTotalNumberOfLeavesAllotted($totalMonthsInCompany=null){
    if($totalMonthsInCompany <= 3) {
        return UNDER_THREE_MONTHS_LEAVES;
    }
    elseif($totalMonthsInCompany > 3 && $totalMonthsInCompany <= 24) {
        return FOURTH_MONTH_TO_UNDER_TWO_YEARS_LEAVES;
    }
    elseif($totalMonthsInCompany > 24 && $totalMonthsInCompany <= 36) {
        return TWO_TO_UNDER_THREE_YEARS_LEAVES;
    }
    elseif($totalMonthsInCompany > 36 && $totalMonthsInCompany <= 60) {
        return THREE_TO_UNDER_FIVE_YEARS_LEAVES;
    }
    elseif($totalMonthsInCompany > 60) {
        return FIVE_YEARS_AND_ABOVE_LEAVES;
    }
}

function calculateTakenLeavesOfQuarter($currentDate=null,$empId=null) {
	global $sqlObject;
	
	if($currentDate) {
		$monthsArray 	= array(
							array('01','02','03'),
							array('04','05','06'),
							array('07','08','09'),
							array('10','11','12')
						);
		$getCurrentMonth 	= date("m",strtotime($currentDate));
		$getCurrentYear 	= date("Y",strtotime($currentDate));
		
		if($monthsArray[0]) {
			$key = "";
			foreach($monthsArray as $array) {
				
				$key = array_search($getCurrentMonth,$array);
				if($key) {
					break;
				}
			}
			
			if($key) {
				$leavesCount = 0;
				foreach($monthsArray[$key] as $month) {
					$leavesCountArray = $sqlObject->selectSimpleQuery("select sum(leave_for) as total_leaves from ".LEAVESDETAIL." as ld inner join ".LEAVES." as le on ld.leave_id = le.leave_id where le.emp_id = ".$empId." and DATE_FORMAT(ld.leave_date,'%Y-%m') = '".$getCurrentYear."-".$month."' and ld.leave_status = 1 and ld.leave_type_id = 1");
					
					if(isset($leavesCountArray[0]["total_leaves"]) && $leavesCountArray[0]["total_leaves"]) {
						$leavesCount += $leavesCountArray[0]["total_leaves"];
					}
				}
				return $leavesCount;
			}
		}
	}
}

function calculateTakenSickLeavesYearly($currentDate=null,$empId=null) {
	global $sqlObject;
	
	if($currentDate) {
		$leavesCount = 0;
		$getCurrentYear 	= date("Y",strtotime($currentDate));

		$leavesCountArray = $sqlObject->selectSimpleQuery("select sum(leave_for) as total_sick_leaves from ".LEAVESDETAIL." as ld inner join ".LEAVES." as le on ld.leave_id = le.leave_id where le.emp_id = ".$empId." and DATE_FORMAT(ld.leave_date,'%Y-%m') >= '".$getCurrentYear."-01' and DATE_FORMAT(ld.leave_date,'%Y-%m') <= '".$getCurrentYear."-12' and ld.leave_status = 1 and ld.leave_type_id = 2");
		
		if(isset($leavesCountArray[0]["total_sick_leaves"]) && $leavesCountArray[0]["total_sick_leaves"]) {
			$leavesCount += $leavesCountArray[0]["total_sick_leaves"];
		}
	
		return $leavesCount;
			
	}
}